package com.hai.service;

import com.hai.entity.HighDevice;

import java.util.List;
import java.util.Map;

/**
 * 设备管理
 * @author hurui
 */
public interface HighDeviceService {

    /**
     * 编辑设备
     * @param device
     */
    void editDevice(HighDevice device);

    /**
     * 查询设备详情
     * @param deviceId
     * @return
     */
    HighDevice getDetailById(Long deviceId);

    /**
     * 查询设备列表
     * @param param
     * @return
     */
    List<HighDevice> getDeviceList(Map<String, Object> param);

    /**
     * 根据门店id，查询设备列表
     * @param storeId
     * @return
     */
    List<HighDevice> getDeviceListByStoreId(Long storeId);


}
